Subject: bug#62720: 29.0.60; Not easy at all to upgrade :core packages like Eglot

From: João Távora <[email-masked]>
Date: Mon, 24 Apr 2023 12:43:21 +0100

On Mon, Apr 24, 2023 at 10:38 AM Robert Pluim <[email-masked]> wrote:
>
> >>>>> On Mon, 24 Apr 2023 09:57:43 +0100, João Távora <[email-masked]> said:
>     >> I use eglot on emacs-29, but have never installed it (and I never run
>     >> emacs-28 any more :-))
>     >>
>
>     João> Also noted. Eglot on Emacs 29 is generally the most stable version of it
>     João> you can get. However is has less features. Expect the gap to grow with
>     João> time. Some fringe LSP servers are also better supported on later versions.
>
> There are too many things going on to attempt to keep up to date with
> them all :-)

Perfectly reasonable.  It would be rather unwise to force a newer
version of Eglot on you.  Do let me know if you find any bugs in
the Emacs 29 eglot.el, which is version 1.12.29. The pretest is here
for that.

>     João> If you never use package-install on Eglot, then there's even less reason to
>     João> worry about my patch, which only affects Eglot.
>
>     João> (Meaning, FTR, that we're still missing an account from at least one user
>     João> who would be perturbed by my patch.)
>
>     João> Robert, do you use package-install at all? On what packages?
>
> Explicitly in my init file, no. The only package installation and
> upgrading I do is via `list-packages', for the usual suspects like
> magit and helm. And even that I do reluctantly, since something always
> seems to break.

That's likely something to bring up with the maintainers of
said packages (which aren't GNU ELPA btw).  I don't even use
them (I use stock VC and stock M-x fido-vertical-mode).

But do you have any suspicion if that is related to upgrade of
dependencies, or -- more to the point of this bug report --
to upgrade of :core dependencies?

João